%global pypi_name opensearch-py
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        4%{?dist}
Summary:        Python low-level client for OpenSearch

License:        ASL 2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-urllib3

%description
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires: python%{python3_version}dist(urllib3)

%description -n python%{python3_pkgversion}-%{pypi_name}
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%{py3_build}

%install
%{py3_install}

# Tests disabled they install all git clone an opensearch server.
%check
%py3_check_import opensearchpy

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/opensearch_py-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/opensearchpy
%doc README.md
%license LICENSE.txt

%changelog
* Sat Feb 12 2022 Steve Traylen <steve.traylen@cern.ch> -1.0.0-4
- Add requires as required on el7

* Sat Feb 12 2022 Steve Traylen <steve.traylen@cern.ch> -1.0.0-3
- Migrate to pyproject macros
- Migrate back to %py3 macros
- Provide python3 as well as python36.

* Thu Dec 9 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-2
- Review corrections rhbz#2016597

* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial package.
